All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.form
Class BaseTextArea

    com.sas.servlet.tbeans.form.BaseTextArea

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, FormElementModificationEventInterface, com.sas.servlet.tbeans.form.JavaScriptObjectCreationInterface, com.sas.servlet.tbeans.JavaScriptEventHandlerInterface, RenderableInterface, TransformationInterface, GenericValidatorInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  TextArea

    public abstract class BaseTextArea

The BaseTextArea is an abstract TransformationBean™ for creating a TextArea input field. The TEXTAREA element creates a multi-line text input control.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:TextArea custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`RB_KEY`

Constructor Summary
`BaseTextArea()` Construct a new TextArea

Method Summary
`void` | `appendText(java.lang.String text)` Appends the given text to the current text
`int` | `getColumns()` Gets the number of columns in this text area.
`int` | `getRows()` Gets the number of visible text lines.
`java.lang.String` | `getText()` Gets the text of the TextArea
`java.lang.String` | `getWrap()` Gets the current wrap type
`boolean` | `isReadOnly()` Determines the readOnly value associated with the TextArea.
`void` | `setColumns(int columns)` Sets the number of columns in this text area.
`void` | `setReadOnly(boolean value)` Sets the readOnly attribute associated with the TextArea.
`void` | `setRows(int rows)` Sets the number of visible text lines.
`void` | `setText(java.lang.String text)` Sets the text of the TextArea.
`void` | `setWrap(java.lang.String value)` Specifies whether lines longer than the text area's column width wrap to the next line.

Methods inherited from class com.sas.servlet.tbeans.form.BaseFormElement
`getAccessKey, getErrorHandler, getModificationEventName, getName, getOnBlur, getOnChange, getOnClick, getOnDblClick, getOnFocus, getOnKeyDown, getOnKeyPress, getOnKeyUp, getOnMouseDown, getOnMouseMove, getOnMouseOut, getOnMouseOver, getOnMouseUp, getOnSelect, getStyleInfo, getTabIndex, getTitle, getValidationFunctions, getValidator, isEnabled, isValid, isValidationEnabled, setAccessKey, setEnabled, setErrorHandler, setId, setModificationEventName, setName, setOnBlur, setOnChange, setOnClick, setOnDblClick, setOnFocus, setOnKeyDown, setOnKeyPress, setOnKeyUp, setOnMouseDown, setOnMouseMove, setOnMouseOut, setOnMouseOver, setOnMouseUp, setOnSelect, setStyleInfo, setTabIndex, setTitle, setValidator, write, writeJavaScriptObject, writeJavaScriptObjectValidate, writeJavaScriptValidatorObject, writeValidationScript`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setInputTransform, setLocale, setLocaleDependentProperties, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Constructor Detail

### BaseTextArea

    public BaseTextArea()

  Construct a new TextArea

Method Detail

### setRows

    public void setRows(int rows)

  Sets the number of visible text lines. Users should be able to enter more lines than this, so the client must provide some means of scrolling through the contents of the textarea field. The default is 3.

  Parameters:
    `rows` - The number of visible lines.

### getRows

    public int getRows()

  Gets the number of visible text lines.

  Returns:
    The number of visible text lines

### setColumns

    public void setColumns(int columns)

  Sets the number of columns in this text area. The default is 40.

  Parameters:
    `columns` - The number of columns in the text area

### getColumns

    public int getColumns()

  Gets the number of columns in this text area.

  Returns:
    The number of columns in the text area

### setText

    public void setText(java.lang.String text)

  Sets the text of the TextArea.

  Parameters:
    `text` - The text of the TextArea

### getText

    public java.lang.String getText()

  Gets the text of the TextArea

  Returns:
    The text of the TextArea

### appendText

    public void appendText(java.lang.String text)

  Appends the given text to the current text

  Parameters:
    `text` - The text to be appended

### setWrap

    public void setWrap(java.lang.String value)

  Specifies whether lines longer than the text area's column width wrap to the next line.

  Valid values are:

  OFF - Disables word wrap HARD - Line breaks are included when the form is submitted SOFT - Line breaks are not included when the form is submitted VIRTUAL - Same as soft

  Parameters:
    `wrap` - The wrap type

### getWrap

    public java.lang.String getWrap()

  Gets the current wrap type

  Returns:
    The wrap type

### setReadOnly

    public void setReadOnly(boolean value)

  Sets the readOnly attribute associated with the TextArea.

  Parameters:
    `value` - The readOnly value

### isReadOnly

    public boolean isReadOnly()

  Determines the readOnly value associated with the TextArea.

  Returns:
    The readOnly value

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.